// ===========================      Colores y Fuentes     ============================ //
@import "variables/colors";
@import "variables/typography";

/* ===========================      Estilos Generales     ============================ */

body {
	font-size: 16px;
	font-family: Font_Regular;
}
  
.pos-absolute {
	position: absolute !important;
}

.pos-relative {
	position: relative !important;
}
  
h1, h2, h3, h4, h5, h6 {
	font-family: Font_SemiBold;
	margin: 0.5em 0;
}
  
p {
	color: $dark;
}

b {
    font-family: Font_SemiBold;
    font-weight: initial;
}

hr {
	border-top: 1px solid rgba($secundary, 0.1);
}
  
a {
	color: $primary;
  
	&:hover {
		color: $secundary;
		text-decoration: none;
	}
}
  
.bg-primary {
	background-color: $primary !important;
}

.bg-secundary {
	background-color: $secundary !important;
}

.bg.dark {
	background-color: $dark !important;
}

.bg-light {
	background-color: $light !important;
}

.bg-profile {
    background-color: rgba($secundary, 0.03) ;
}

.bg-primary, .bg-secundary {
	color: $white !important;
}

.btn-primary {
    background-color: $primary;
    border: none;

    &:hover {
        background-color: $secundary;
    }
}

.btn-logout {
    background: none;
    border: 0;
}

.btn-light-facebook, .btn-light-google {
    background-color: $light;
    color: $secundary; 
    transition: all .5s ease-in-out;
}

.btn-light-facebook {
    &:hover {
        background-color: $color-facebook;
        color: $white;
    }
}
.btn-outline-primary {
    color: $primary !important;
    border-color: $primary !important; 
    
    &:hover, &:active, &:focus {
        background-color: $primary !important;
        border-color: $primary !important;
        color: $white !important;
    }
}

.btn-light-google {
    &:hover {
        background-color: $color-google-plus;
        color: $white;
    }
}

.text-primary {
	color: $primary !important;
}

.text-golden {
	color: $golden !important;
}
  
.text-secundary {
	color: $secundary !important;
}

.thead-primary th {
    background-color: $primary!important;
    color: $white !important;
    box-shadow: none !important;
    font-weight: normal;
}
 
.navbar.nav-primary {

	.navbar-nav {
		padding: 0;

		.nav-item {
			padding: .5em 1em;
			
			.nav-link {
				text-transform: uppercase;
				color: $secundary;
			}
		}
	}
}

ul.dashboard {
	padding-left: 0;
	background: lighten($primary, 5);

	li {
		list-style: none;

		a {
			text-transform: uppercase;
			color: $white !important;

		}
	}
}


.swiper-container {
    width: 100%;
}

.swiper-slide {
    background-size: cover;
    background-position: 50%;
    min-height: 60vh;
    
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.custom-file-label {
    &:after {
        background-color: $primary;
        color: $white;
    }
}

.preview-img {
    border: 2px solid rgba($secundary, 0.2);
    border-radius: .25em;
}
/*------------------------------------------------------------------------------------------*/
/* 1. Home page                                                                             */
/*------------------------------------------------------------------------------------------*/
.swiper-pagination {
    &-bullet {
        background-color: transparent;
        border: 2px solid #fff;
        border-radius: 50%;
        width: 12px;
        height: 12px;
        opacity: 1;
    }

    &-bullet-active {
        background-color: #fff;
    }
}

.swiper-button {
    &-container {
        background-color: rgba(0,0,0,.25);
    }
    &-prev {
		&::after {
			content: none;
		}
        background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg%20xmlns%3D'http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg'%20viewBox%3D'0%200%2027%2044'%3E%3Cpath%20d%3D'M0%2C22L22%2C0l2.1%2C2.1L4.2%2C22l19.9%2C19.9L22%2C44L0%2C22L0%2C22L0%2C22z'%20fill%3D'%23ffffff'%2F%3E%3C%2Fsvg%3E")
    }
    &-next {
		&::after {
			content: none;
		}
        background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg%20xmlns%3D'http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg'%20viewBox%3D'0%200%2027%2044'%3E%3Cpath%20d%3D'M27%2C22L27%2C22L5%2C44l-2.1-2.1L22.8%2C22L2.9%2C2.1L5%2C0L27%2C22L27%2C22z'%20fill%3D'%23ffffff'%2F%3E%3C%2Fsvg%3E");
    }
}

.swiper-slide {
    &:before {
        content: "";
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        background: black;
        opacity: .4;
    }
    h2 {
        pointer-events: none;
        opacity: 0;
        color: $white;
        font-size: calc(4vw);
        letter-spacing: -1px;
        transform: translateY(-5%) scale(.8);
        transition: 1s ease;
        text-transform: uppercase;
        text-shadow: 0 5px 5px rgba(0,0,0, .01);
    }
    &-active h2 {
        opacity: 1;
        transform: translateY(0%) scale(1);
        transition: 1s ease;
    }
}

/*------------------------------------------------------------------------------------------*/
/* 2. Signin Page                                                                           */
/*------------------------------------------------------------------------------------------*/
.signin, .signup {
    background-image: url("/images/bg-gallery.jpg");
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    color: $white;

    &::before {
        content: "";
        position: absolute;
        height: 100%;
        width: 100%;
        background-color: rgba($secundary, 0.4);
    }

    h1 {
        font-size: 3.75em;
    }

    p {
        font-size: 1.4em;
        color: $white;
    }

    .card-footer a {
        color: rgba($secundary, 0.5);
        transition: all .5s ease-in-out;

        &:hover {
            color: $secundary;
        }
    }
}

/*------------------------------------------------------------------------------------------*/
/* 3. Signin Page                                                                           */
/*------------------------------------------------------------------------------------------*/
.signup {
    background-image: url("/images/bg-signup.jpg");
}

/*------------------------------------------------------------------------------------------*/
/* 4. User Profile Page                                                                     */
/*------------------------------------------------------------------------------------------*/
.cover-user {
    height: 40vh;
    background-image: url("/images/bg-profile.jpg");
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;

    img {
        position: absolute;
        bottom: -3em;
        margin-left:auto;
        margin-right:auto;
        left:0;
        right:0;
        border-radius: 50%;
        width: 10em;
        border: .5em solid $white;

        -webkit-box-shadow: 0px 0px 5px -1px rgba(0,0,0,0.5);
        -moz-box-shadow: 0px 0px 5px -1px rgba(0,0,0,0.5);
        box-shadow: 0px 0px 5px -1px rgba(0,0,0,0.5);
    }
}

.body-user {
    margin-top: 3.5em;
}

.nav-profile {
    border-bottom: 1px solid $light !important;
    border-top: 1px solid $light !important;
    
    .nav-tabs {
        border-bottom: none !important;
        
        .nav-link {
            color: rgba($secundary, 0.5);
            border: none !important;
            background: none;

            &.active {
                color: $primary !important;
                border-bottom: 3px solid $primary !important;
            }

        }
    }
}

/*------------------------------------------------------------------------------------------*/
/* 5. Admin Page                                                                            */
/*------------------------------------------------------------------------------------------*/

.body-admin {
    font-size: .875rem;

    .feather, .icon-menu {
        margin-right: .5em;
        width: 1.2em;
        height: 1.2em;
        vertical-align: text-bottom;
    }

    .sidebar {
        position: fixed;
        top: 0;
        bottom: 0;
        left: 0;
        z-index: 100; /* Behind the navbar */
        padding: 4em 0 0; /* Height of navbar */
        box-shadow: inset -1px 0 0 rgba(0, 0, 0, .1);
        transition: all .5s ease-in-out;

        .nav-link {
            color: rgba($secundary, 0.6);
            border-bottom: 1px solid rgba($secundary, 0.1);
            padding: 1em;
            p {
                color: rgba($secundary, 0.6) !important;
            }
 
            &:hover,
            &.active,
            &:hover p {
                color: $primary !important;
            }
        }
    }

    main {
        padding-top: 4em;
        padding-bottom: 6em;
        position: relative;
        min-height: 100vh;

        footer {
            position: absolute;
            bottom: 0;
            width: 100%;
        }
    }

    .sidebar-sticky {
        position: relative;
        top: 0;
        height: calc(100vh - 4em);
        padding-top: .5rem;
        overflow-x: hidden;
        overflow-y: auto; /* Scrollable contents if viewport is shorter than content. */
    }

    @supports ((position: -webkit-sticky) or (position: sticky)) {
        .sidebar-sticky {
            position: -webkit-sticky;
            position: sticky;
        }
    }

    .title {
        color: $secundary;
        font-size: 2em;
    }
}

// This gets in apple san francisco web font 🆒
@font-face {
  font-family: "San Francisco Display Semibold";
  font-style: normal;
  font-weight: 400;
  src: url(https://applesocial.s3.amazonaws.com/assets/styles/fonts/sanfrancisco/sanfranciscodisplay-semibold-webfont.eot?#iefix) format("embedded-opentype"), url(https://applesocial.s3.amazonaws.com/assets/styles/fonts/sanfrancisco/sanfranciscodisplay-semibold-webfont.woff2) format("woff2"), url(https://applesocial.s3.amazonaws.com/assets/styles/fonts/sanfrancisco/sanfranciscodisplay-semibold-webfont.woff) format("woff"), url(https://applesocial.s3.amazonaws.com/assets/styles/fonts/sanfrancisco/sanfranciscodisplay-semibold-webfont.ttf) format("truetype"), url("fonts/sanfrancisco/sanfranciscodisplay-semibold-webfont.svg#San Francisco Display Semibold") format("svg")
}

footer {
	p {
		font-family: Font_Light;
	}
}

//sass --watch scss/styles.scss stylesheets/styles.css
//sass --watch scss/styles.scss stylesheets/styles.css --style compressed